Cassandra.Processor.execute_prepared_cql3_query (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Class Cassandra.Processor.execute_prepared_cql3_query<I extends Cassandra.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,Cassandra.execute_prepared_cql3_query_args>
  - - org.apache.cassandra.thrift.Cassandra.Processor.execute_prepared_cql3_query<I>

- Enclosing class:
    Cassandra.Processor<I extends Cassandra.Iface>

      public static class Cassandra.Processor.execute_prepared_cql3_query<I extends Cassandra.Iface>
      extends org.apache.thrift.ProcessFunction<I,Cassandra.execute_prepared_cql3_query_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cassandra.Processor.execute_prepared_cql3_query()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.execute_prepared_cql3_query_args` | `getEmptyArgsInstance()`
    `Cassandra.execute_prepared_cql3_query_result` | `getResult(I iface, Cassandra.execute_prepared_cql3_query_args args)`
    `protected boolean` | `isOneway()`

    - ### Methods inherited from class org.apache.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cassandra.Processor.execute_prepared_cql3_query

          public Cassandra.Processor.execute_prepared_cql3_query()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.execute_prepared_cql3_query_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.execute_prepared_cql3_query_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.execute_prepared_cql3_query_args>`

    - #### getResult

          public Cassandra.execute_prepared_cql3_query_result getResult(I iface,
                                                               Cassandra.execute_prepared_cql3_query_args args)
                                                                 throws org.apache.thrift.TException

      Specified by:
        `getResult` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.execute_prepared_cql3_query_args>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2014 The Apache Software Foundation